%define		_status		alpha
%define		_pearname Search_Mnogosearch
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Wrapper classes for the mnoGoSearch extention
Summary(pl.UTF-8):	%{_pearname} - Klasy do obsługi rozszerzenia mnoGoSearch
Name:		php-pear-%{_pearname}
Version:	0.1.1
Release:	8
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	af6c5903821f72e00c65dc573e638581
URL:		http://pear.php.net/package/Search_Mnogosearch/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php(core) >= 5.0.0
Requires:	php-mnogosearch
Requires:	php-pear
Suggests:	php-pear-HTML_QuickForm >= 3.2.3
Suggests:	php-pear-HTML_Template_Sigma >= 1.1.1
Suggests:	php-pear-Pager >= 2.2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq_pear HTML/QuickForm.* HTML/Template/Sigma.* Pager.*

%description
This package provides wrapper classes for the mnoGoSearch search
engine. The package has two central classes "Search_Mnogosearch" and
"Search_Mnogosearch_Result". The class "Search_Mnogosearch" gives an
object that represents the search and the "Search_Mnogosearch_Result"
the result. The usage is just like the usage in the "DB" and
"DB_result" classes.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza klasy obudowujące dla silnika wyszukiwarki
mnoGoSearch. Pakiet ma dwie główne klasy: Search_Mnogosearch i
Search_Mnogosearch_Result. Klasa Search_Mnogosearch daje obiekt
reprezentujący wyszukiwanie, a Search_Mnogosearch_Result - wynik.
Sposób użycia jest podobny do klas DB i DB_result.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Search
%{php_pear_dir}/Search/*.php
%{php_pear_dir}/Search/Mnogosearch
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Search_Mnogosearch.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> a33d4db
- use rpm4/rpm5 compatible _noautoreq pear

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> b51405c
- use virtual php extension deps (to be independant of php version)
- release 8 (by relup.sh)

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 369bf14
- updated deps with pearize.sh
- release 7

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> a592671
- rel 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 820612d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ad38721
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 18d14ca
- rel 5: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> c3f9b1e
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> d0d370b
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 3227987
- BR php-pear-PEAR

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 9f52edf
- missing dir

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> d9c608e
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 0ad295d
- semi automatically added deps from pear

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> 8fc4096
- new pear packaging

* Sun May 08 2005 Adam Gołębiowski <adamg@pld-linux.org> 49a484b
- updated to 0.1.1

* Mon Dec 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 5b7d22d
- pl desc

* Mon Dec 27 2004 Adam Gołębiowski <adamg@pld-linux.org> 0d55457
- new

